#include <stdio.h>
#include <stdlib.h>
#include <pthread.h>
#include <assert.h>


int main(int argc, char *argv[]){


if(argc != 3) {

fprintf(stderr, "Usage :%s <max> <n>\n",argv[0]); 
return 1;


}
	long N = strtol(argv[1], NULL,0);
	long M = strtol(argv[2], NULL,0);










}